import Taro from '@tarojs/taro';
import { useModel } from '@/store';

// 需要引入 mp-dialog
export default function (props) {
  const { person, dogs: pets } = useModel('userData')

  const noPerson = !person || !person.phone
  const noPet = !pets || !pets.length

  const show = noPerson || noPet
  const message = noPerson ? '请先维护个人信息' : '请先维护狗狗信息'

  const handleTap = () => {
    if (!show) return;
    const url = noPerson ? '/pages/setUser/index' : '/pages/setDogInfo/index'
    Taro.navigateTo({ url })
  }

  return (
    <mp-dialog show={show} title='提示' maskClosable={false} buttons={[{ text: '确定' }]} onButtontap={handleTap} >
      {message}
    </mp-dialog>
  )
}
