
import { useEffect, useState } from 'react'

// 依赖 WEUI mp-toptips 组件
export default (props) => {
  const { error } = props

  const [errorMsg, setErrorMsg] = useState()
  const [showTopTips, setShowTopTips] = useState(false)

  useEffect(() => {
    if (error) {
      setErrorMsg(error)
      setShowTopTips(true)
    }
  }, [error])
  
  return (
    <mp-toptips msg={errorMsg} type='error' show={showTopTips} onHide={() => setShowTopTips(false)}></mp-toptips>
  )
}
