import Taro from '@tarojs/taro';
import { View, Slot } from '@tarojs/components'
import ViewIcon from '@/components/ViewIcon';

const spaceStyle = {
  marginLeft: '16px'
}

export default function (props) {
  const { icon, title, page } = props

  const handleClick = () => {
    Taro.navigateTo({ url: page })
  }

  return (
    <mp-cell link hover>
      <Slot name='icon'>
        <ViewIcon icon={icon} size={24} bold={500} color='#C6A802' />
      </Slot>
      <View style={spaceStyle} onClick={handleClick}>{title}</View>
    </mp-cell>
  )
}
