import React, { useMemo } from 'react'
import { View } from '@tarojs/components';
import './style.less'

export default (props) => {
  const { ratio } = props

  const style = useMemo(() => {
    const [t1, t2] =  ratio.split(':')
    const percent = Math.round(t2 * 100 / t1)

    return {
      paddingBottom: `${percent}%`
    }
  }, [ratio])

  return (
    <View className='ratio-box' style={style}>
      <View>
        {props.children}
      </View>
    </View>
  )
}
