Component({
  behaviors: ['wx://form-field'],
  options: {
    addGlobalClass: true,
  },
  properties: {
    name: {
      type: String
    },
    value: {
      type: null,
      observer (val) {
        if (val === undefined || val === null) {
          if (this.data.index !== undefined) {
            this.setData({ index: undefined, text: undefined })
          }
          return;
        }

        for (let index in this.data.range) {
          const data = this.data.range[index]
          if (data[this.data.rangeValue] === val) {
            if (index !== this.data.index) {
              this.setData({ index, text: data[this.data.rangeKey] })
            }
            return;
          }
        }
      }
    },
    range: {
      type: Array,
    },
    rangeKey: {
      type: String,
    },
    rangeValue: {
      type: String,
    },
    placeholder: {
      type: String,
      value: '请选择'
    },
  },
  data: {
    text: undefined,
    index: undefined,
  },
  methods: {
    bindChange: function (e) {

      const index = e.detail.value
      const data = this.data.range[index]
      const value = data[this.data.rangeValue]
      const text = data[this.data.rangeKey]

      this.setData({
        index,
        text,
        value,
      })

      this.triggerEvent('change', { value, data })
    }
  }
})
