Component({
  behaviors: ['wx://form-field'],
  options: {
    addGlobalClass: true,
  },
  properties: {
    name: {
      type: String
    },
    value: {
      type: null,
    },
  },
  methods: {
    handleValue (value) {
      this.setData({ value })
    },
    handleUpload() {
      const next = this.handleValue.bind(this)
      const emit = this.triggerEvent.bind(this)

      // eslint-disable-next-line no-undef
      wx.chooseImage({
        count: 1, // 默认9
        sizeType: ['original', 'compressed'], // 可以指定是原图还是压缩图，默认二者都有
        sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有，在H5浏览器端支持使用 `user` 和 `environment`分别指定为前后摄像头
        success: function (res) {
          const file = res.tempFiles[0];
          emit('file', { file, next })
        },
        fail (err) {
          console.error('----上传失败----', err)
          if (err.errMsg === 'chooseImage:fail cancel') {
            return;
          }

          // eslint-disable-next-line no-undef
          wx.showToast({
            title: err.errMsg,
            icon: 'error',
            duration: 1000
          })
        }
      })
    }
  }
})
