import { ScrollView, View, Image, Button } from '@tarojs/components'
import Taro from '@tarojs/taro';

import './style.less'

export default (props) => {
  const { onClick, item, copy } = props;

  const cardStatus = (ite) => {
    if (item.status === 0) {
      return {
        title: '未付款',
        styleColor: ''

      }
    } else if (item.status == 1) {
      return {
        title: '审核中',
        styleColor: ''
      }
    } else if (item.status == 2 && item.verifyStatus == 2) {
      return {
        title: '驳回',
        styleColor: 'red'

      }

    } else if (item.status == 2 && item.verifyStatus == 1) {
      return {
        title: '待发卡',
        styleColor: ''

      }
    } else if (item.status == 3) {
      return {
        title: '已完成',
        styleColor: '#04bd02'

      }
    }

  }

  // 状态  如果 status 0 未付款 
  //       如果1审核中   
  //        驳回  status: 2 ||  verifyStatus: 2 驳回

  //        待发卡  status: 2 ||  verifyStatus: 1 待发卡 

  //        status 3


  return (
    <View className='ApplicationListBox'>
      <View className='ApplicationListBox-CardBox'>
        <View className='ApplicationListBox-CardBox-headerTop'>
          狗狗姓名
          <View className='ApplicationListBox-CardBox-headerTop-right'>
            <View>{item.petName}</View>

            <Image src={item.img1} />
          </View>
        </View>
        <View className='ApplicationListBox-CardBox-content'>
          <View>申请时间</View>
          <View>{item.createDate}</View>
        </View>
        <View className='ApplicationListBox-CardBox-content'>
          <View>审领方式</View>
          <View>{item.applyMethod == 1 ? '自取' : '邮寄'}</View>
        </View>
        <View className='ApplicationListBox-CardBox-content'>
          <View>申请类型</View>
          <View>{item.applyType == 'first' ? '办证申请' : item.applyType == 'renewal' ? '证件续期' : item.applyType == 'reissue' ? '证件补办' : '异常'}</View>
        </View>
        <View className='ApplicationListBox-CardBox-content'>
          <View>状态</View>
          <View style={{ color: cardStatus(item)?.styleColor }}>{cardStatus(item)?.title}</View>
        </View>
        {
          cardStatus(item)?.title == '已完成' ?
            <View className='ApplicationListBox-CardBox-content' onClick={() => { copy(item.trackingNo) }}>
              <View>{item.trackingType}</View>
              <View>{item.trackingNo}</View>
            </View>
            : <></>
        }
        {
          cardStatus(item)?.title == '驳回' ?
            <View>
              <View className='ApplicationListBox-CardBox-content'>
                <View>退款方式</View>
                <View>原路退回支付账户</View>
              </View>
              <View className='ApplicationListBox-CardBox-refuse'>
                <View>驳回原因</View>
                <View>{item.rejectReason}</View>
              </View>
              <View style={{ margin: '0.5em 0 0.2em 0' }}>
                <Button
                  style={{ width: '135px', height: '35px', fontSize: '14px', backgroundColor: '#fbd804', borderRadius: '40px', color: '#000', border: '0px' }}
                  class='weui-btn' type='primary'
                  loading={false}
                  onClick={() => { onClick(item.petId) }}
                >重新填写</Button>
              </View>
            </View>
            : <></>
        }

        {
          cardStatus(item)?.title == '未付款' ?
            <View>
              <View style={{ margin: '0.5em 0 0.2em 0' }}>
                <Button
                  style={{ width: '135px', height: '35px', fontSize: '14px', backgroundColor: '#fbd804', borderRadius: '40px', color: '#000', border: '0px' }}
                  class='weui-btn' type='primary'
                  loading={false}
                  onClick={() => { onClick('pay', item.applyId) }}
                >支付</Button>
              </View>
            </View>
            : <></>
        }

      </View>

    </View>
  )
}