import { ScrollView, View, Image, Button } from '@tarojs/components'
import Taro, { useDidShow } from '@tarojs/taro';
import { useState, useEffect } from 'react';
import { getApplicationList, getOrder } from '../../services/dogAPI';
import AppliCard from './components/AppliCard';
import NoData from '../../components/NoData';
import './style.less'

export default (props) => {
  const [applionList, setApplionList] = useState([])
  const [applionLoading, setApplionLoading] = useState(false)

  useDidShow(() => {
    setApplionLoading(true)

    getApplicationList({ pageSize: 500 }).then((e) => {
      console.log('e', e);
      setApplionList(e.records)
      setApplionLoading(false)

    })
  }, [])
  const trackingCopy = (value) => {
    Taro.setClipboardData({
      data: value,
      success: e => {
        Taro.showToast({
          title: '快递单号已复制',
          icon: 'success',
          duration: 2000,
        })
      }
    })
  }
  const goSetDogLicense = (e, Id) => {
    if (e == 'pay') {
      Taro.navigateTo({
        url: `/pages/payPage/index?id=${Id}`
      })
    } else {
      Taro.navigateTo({
        url: `/pages/setDogLicense/index?type=first&petId=${Id}`
      })
    }

  }


  return (
    <>

      {
        !applionList.length <= 0 ?
          applionList.map((item, index) => {
            return (
              <AppliCard key={index} item={item} onClick={goSetDogLicense} copy={trackingCopy} />

            )
          })

          :
          <NoData title='暂无申请信息哦~' />

      }



    </>
  )
}