import { View, ScrollView, Image } from '@tarojs/components'
import Taro, { useDidShow } from '@tarojs/taro';
import ViewIcon from '../../components/ViewIcon';
import { useEffect, useState } from 'react';
import Button from '../../components/Button';
import NoData from '../../components/NoData';

import { addDogList } from '../../services/dogAPI';
import { useModel } from '../../store';
import './style.less'


export default (props) => {
  const { dogs, setDogs } = useModel('userData')

  const goLicenseInfo = (id) => {
    if (id) {
      Taro.navigateTo({
        url: `/pages/setDogInfo/index?petId=${id}`
      })
    } else {
      Taro.navigateTo({
        url: `/pages/setDogInfo/index`
      })
    }
  }
  useDidShow(() => {
    addDogList().then((e) => {
      setDogs(e.records)
    })
  })



  const widgetView = (value) => {
    return (
      <View className='user-box-addDog' onClick={() => goLicenseInfo(value.petId)}>
        <View className='user-box-addDog-DogImage'>
          {/* <ViewIcon icon='morentouxiang' size={50} color='#FBD804' /> */}
          <Image src={value.image} />
        </View>

        <View className='user-box-addDog-DogImage'>
          <View>姓名：{value.name}</View>
          <View>犬种：{value.petType}</View>
        </View>
        <View className='user-box-addDog-rightDog' >
          <View style={{ paddingRight: '5px' }}>
            <ViewIcon icon='bianji' size={17} color='#2f2f2f' />
          </View>
          修改狗狗
        </View>
      </View>
    )
  }

  return (
    <>
      {
        !dogs.length <= 0 ?
          dogs.map((item, index) => {
            return (
              widgetView(item)
            )
          })
          : <NoData title='暂无狗狗信息哦~' />
      }
      <Button title='+ 添加狗狗' width='50' onClick={() => goLicenseInfo()} />
    </>
  )
}

