import { View, Text, Image } from '@tarojs/components'
import Taro from '@tarojs/taro';
import { useEffect, useState } from 'react';
import ViewIcon from '@/components/ViewIcon';
import MenuItem from '@/components/MenuItem';
import { useModel } from '../../store';


import './style.less'

export default (props) => {
  const { dogs, person, setDogs } = useModel('userData')

  const [useInfo, setUseInfo] = useState()

  useEffect(() => {
    if (person) {
      setUseInfo(person)
    }
  }, [person])

  const goSetUser = (personId) => {
    Taro.navigateTo({
      url: `/pages/setUser/index?personId=${personId}`
    })
  }
  return (
    <View className='user-box'>
      <View className='user-box-Card'>
        <View className='user-box-Card-useImage'>
          <ViewIcon icon='morentouxiang' size={50} color='#FBD804' />
        </View>

        <View className='user-box-Card-NameCard'>
          <View>{useInfo?.nickName}</View>
          <View>文明养狗，遵纪守法</View>
        </View>
        <View className='user-box-Card-right' onClick={() => { goSetUser(useInfo?.personId) }}>
          <View style={{ paddingRight: '5px' }}>
            <ViewIcon icon='bianji' size={19} color='#2f2f2f' />
          </View>
          修改信息
        </View>
      </View>

      <mp-cells ext-class='my-cells' >
        <MenuItem title='申请列表' icon='dingdan' page='/pages/ApplicationList/index'></MenuItem>
      </mp-cells>

      <mp-cells ext-class='my-cells' >
        <MenuItem title='我的狗狗' icon='gou' page='/pages/dogList/index'></MenuItem>
      </mp-cells>
    </View >
  )
}

