import { useEffect, useState } from 'react';
import { View, RadioGroup, Picker, Input, Radio, Label } from '@tarojs/components'
import Taro, { useDidShow, useRouter } from '@tarojs/taro';
import Form from '@/components/Form';
import FormItem from '@/components/Form/FormItem';
import AuthProfile from '@/components/Authorize/AuthProfile';
import Button from '@/components/Button';
import { addDogList, addlication, getDogInfo, getCardLicenseInfo } from '@/services/dogAPI';
import { handleFile } from '@/utils/request';
import { useModel } from '@/store';
import './style.less'
import { getApplicationList } from '../../services/dogAPI';

export default (props) => {
  function getBool (val) {
    return !!JSON.parse(String(val).toLowerCase());
  }


  const { dogs, setDogs, person } = useModel('userData')
  const [formData, setFormData] = useState()
  const [isOrgState, setIsOrgState] = useState(false)
  const [dogDate, setDogDate] = useState({ immunizationDate: null, petBirthday: null, petSex: [], petType: [] })
  //狗证详情
  const [renewalAndReissue, setRenewalAndReissue] = useState()

  const router = useRouter()
  const applyType = router.params.type || 'first'
  useEffect(() => {
    switch (applyType) {
      case 'renewal':
        Taro.setNavigationBarTitle({
          title: '证件续期'
        })
        break;
      case 'reissue':
        Taro.setNavigationBarTitle({
          title: '证件补办'
        })
        break;
      default:
        break;
    }
  }, [applyType])
  useDidShow(() => {
    if (dogs) {
      if (dogs.length == 1) {
        getDetail(dogs[0])
      }
    } else {
      addDogList().then((res) => {
        setDogs(res.records)
        if (res.records && res.records.length == 1) {
          getDetail(res.records[0])
        }
      })
    }
  }, [dogs])


  const getDogInfoFunction = (petId) => {
    getDogInfo(petId).then((e) => {
      setFormData(e)
      const sex = [{ value: e?.sex, text: e?.sex == 1 ? '雄' : '雌' }];
      const petType = [{ value: 0, name: e?.petType }];
      setDogDate({ ...dogDate, petBirthday: e?.birthday, petSex: sex, petType: petType, })
    })
  }
  const getDetail = (val) => {
    const { petId } = val
    setRenewalAndReissue({ ...renewalAndReissue, ...val })
    if (applyType == 'renewal' || applyType == 'reissue') {
      getDogInfoFunction(petId)
      getCardLicenseInfo(petId).then((res) => {
        console.log("🚀 ~ file: index.jsx ~ line 75 ~ getCardLicenseInfo ~ res", res)
        setIsOrgState(res.isOrg)

        if (res.isOrg) {
          setOrgState([{
            value: false,
            text: '个人',
            checked: false,
          },
          {
            value: true,
            text: '企业',
            checked: true,

          }])
        } else {
          setOrgState([{
            value: true,
            text: '个人',
            checked: true,
          },
          {
            value: false,
            text: '企业',
            checked: false,

          }])
        }


        setRenewalAndReissue({ ...renewalAndReissue, ...res })
      })
    }
    if (applyType == 'first') {
      getCardLicenseInfo(petId).then((res) => {
        if (!res) {
          getDogInfoFunction(petId)
        } else {
          Taro.showModal({
            title: '提示',
            content: '当前狗狗已有证件，请勿重复申请！',
            showCancel: false,
            success: function (v) {
              if (v.confirm) {
                // console.log('用户点击确定')
                // Taro.navigateBack({
                //   delta: 1
                // })
              }
            }
          })
        }
      })
    }
  }
  const getMainDogChange = (value) => {
    const valuess = value.detail.data
    getDetail(valuess);
  }

  const onDateChange = (type, value) => {
    switch (type) {
      case 'petSex':
        setDogDate({ ...dogDate, petSex: value })
        break;
      case 'petBirthday':
        setDogDate({ ...dogDate, petBirthday: value })
        break;
      case 'petType':
        setDogDate({ ...dogDate, petType: value })
        break;
      case 'immunizationDate':
        setDogDate({ ...dogDate, immunizationDate: value })
        break;
      default:
        break;
    }
  }

  const modeList = [
    {
      value: 1,
      text: '自取',
    },
    {
      value: 2,
      text: '邮寄',
    },
  ]

  // ...dogDate,
  const formSubmit = (value) => {
    if (applyType == 'reissue') {
      console.log("🚀 ~ file: index.jsx ~ line 201 ~ getApplicationList ~ applyType", applyType, value.applyMethod)
      if (value.applyMethod) {
        getApplicationList({ pageSize: 500 }).then((e) => {
          const array = e.records
          for (let i = 0; i < array.length; i++) {
            if (array[i].petId == formData.petId) {
              if (array[i].status == 1) {
                console.log('支付过了',);
                Taro.showToast({
                  title: '申请成功，等待审核',
                  icon: 'none',
                  duration: 1000
                })
                setTimeout(() => {
                  Taro.navigateBack({
                    delta: 1
                  })
                }, 1000);

                return;
              } else {
                console.log('没有支付',);
                other(value);
                return;
              }
            } else {
              console.log('没有这个订单',);
              other(value);
              return;
            }
          }


        })

      } else {
        console.log("🚀 ~ file: index.jsx ~ line 201 ~ getApplicationList ~ applyType", applyType, value.applyMethod)

        Taro.showToast({
          title: '请选择申领方式',
          icon: 'none',
          duration: 1000
        })
      }
    } else {
      if (applyType == 'renewal' || applyType == 'reissue') {

        getApplicationList({ pageSize: 500 }).then((e) => {
          const array = e.records

          for (let i = 0; i < array.length; i++) {
            if (array[i].petId == formData.petId) {
              if (array[i].status == 1) {
                console.log('支付过了',);
                Taro.showToast({
                  title: '申请成功，等待审核',
                  icon: 'none',
                  duration: 1000
                })
                setTimeout(() => {
                  Taro.navigateBack({
                    delta: 1
                  })
                }, 1000);

                return;
              } else {
                console.log('没有支付',);
                other(value);
                return;
              }
            } else {
              console.log('没有这个订单',);
              other(value);
              return;
            }
          }


        })

      } else {
        if (value.applyMethod) {

          getApplicationList({ pageSize: 500 }).then((e) => {
            console.log('开始',);
            console.log('e', e);
            const array = e.records
            if (array.length > 0) {
              for (let i = 0; i < array.length; i++) {
                if (array[i].petId == formData.petId) {
                  if (array[i].status == 1) {
                    console.log('支付过了',);
                    Taro.showToast({
                      title: '申请成功，等待审核',
                      icon: 'none',
                      duration: 1000
                    })
                    setTimeout(() => {
                      Taro.navigateBack({
                        delta: 1
                      })
                    }, 1000);
                    return;
                  } else {
                    console.log('没有支付',);
                    goPayPage(value)
                    return;
                  }
                } else {
                  console.log('没有这个订单-----------',);
                  goPayPage(value)

                  return;
                }

              }
            } else {
              goPayPage(value)

            }


          })
        } else {
          Taro.showToast({
            title: '请选择申领方式',
            icon: 'none',
            duration: 1000
          })

        }
      }




    }
  }
  const goPayPage = (value) => {
    getCardLicenseInfo(renewalAndReissue?.petId).then((res) => {
      if (!res) {
        addlication({ ...value, applyType, petName: formData.name, isOrg: isOrgState }).then((ress) => {
          console.log('dogInfo xinwe', ress);
          Taro.showToast({
            title: '申请成功，等待审核',
            icon: 'none',
            duration: 1000
          })
          if (applyType == 'renewal') {
            Taro.navigateBack({
              delta: 1
            })
            return;
          } else {
            if (value.applyMethod == '1') {
              console.log('不跳转',);
              Taro.showToast({
                title: '申请成功，等待审核',
                icon: 'none',
                duration: 1000
              })
              setTimeout(() => {
                Taro.navigateBack({
                  delta: 1
                })
              }, 1000);
            } else {
              console.log('跳转',);
              Taro.reLaunch({
                url: `/pages/payPage/index?id=${ress.applyId}`
              })
            }
          }
        })
      } else {
        Taro.showModal({
          title: '提示',
          content: '当前狗狗已有证件，请勿重复申请！',
          showCancel: false,
          success: function (v) {
            if (v.confirm) {
              // console.log('用户点击确定')
              // Taro.navigateBack({
              //   delta: 1
              // })
            }
          }
        })
      }
    })
  }

  const other = (value) => {
    addlication({ ...value, applyType, originCardNo: renewalAndReissue?.cardNo, petName: formData.name, isOrg: isOrgState }).then((res) => {
      console.log('dogInfo xinwe', res);
      Taro.showToast({
        title: '申请成功，等待审核',
        icon: 'none',
        duration: 1000
      })
      if (applyType == 'renewal') {
        Taro.navigateBack({
          delta: 1
        })
        return;
      } else {
        if (value.applyMethod == '1') {
          console.log('不跳转',);
          Taro.showToast({
            title: '申请成功，等待审核',
            icon: 'none',
            duration: 1000
          })
          setTimeout(() => {
            Taro.navigateBack({
              delta: 1
            })
          }, 1000);
        } else {
          console.log('跳转',);
          Taro.reLaunch({
            url: `/pages/payPage/index?id=${res.applyId}`
          })
        }
      }

    })
  }
  const [orgState, setOrgState] = useState([{
    value: false,
    text: '个人',
    checked: false,
  },
  {
    value: true,
    text: '企业',
    checked: false,

  }])

  // const orgState = [
  //   {
  //     value: false,
  //     text: '个人',
  //     checked: true,
  //   },
  //   {
  //     value: true,
  //     text: '企业',
  //     checked: false,
  //   },

  // ]



  useEffect(() => {
    if (isOrgState) {
      let addItem = { orgName: [{ required: true, message: '请输入企业名称' }] }
      setRules(Object.assign(rules, addItem))
      // Object.assign(rules, addItem)
      console.log('rules', rules);

    } else {
      if (rules.orgName) {
        delete rules.orgName
        setRules(
          rules

        )
        // console.log('rules', rules, deleteObj);
      }
    }

  }, [isOrgState])

  const [rules, setRules] = useState({
    petId: [{ required: true, message: '请填写狗狗名称' }],
    petSex: [{ type: 'number', required: true, message: '请填写狗狗性别' }],
    petBirthday: [{ required: true, message: '请选择狗狗生日' }],
    petColor: [{ required: true, message: '请选择狗狗毛色' }],
    petType: [{ required: true, message: '请选择犬种类别' }],
    img1: [{ required: true, message: '请上传狗狗照片' }],
    immunizationDate: [{ required: true, message: '请上输入最近免疫时间' }],
    immunizationCode: [{ required: true, message: '请输入免疫证号' }],
    immunizationImg: [{ required: true, message: '请上传免疫图片' }],

    address: [{ required: true, message: '请输入详细地址' }],

  })

  return (
    <>
      <AuthProfile />
      <View class='page' >
        <View style={{ backgroundColor: 'white' }}>
          <FormItem title='是否企业' extClass='' required >
            <View className='radio-list' >
              <RadioGroup name='isOrg' onChange={(e) => setIsOrgState(getBool(e.detail.value))} >
                {orgState.map((item, i) => {
                  return (
                    <Label className='radio-list__label' for={i} key={i}>
                      <Radio color='#FCD905' checked={item.checked} className='radio-list__radio' value={item.value} >{item.text}</Radio>
                    </Label>
                  )
                })}
              </RadioGroup>
            </View>
          </FormItem>
        </View>
        <Form onSubmit={formSubmit} rules={rules} >
          <mp-form  >
            <mp-cells >
              {/* <FormItem title='是否企业' >
                <s-picker name='isOrg' rangeKey='text' rangeValue='value' range={orgState} value={orgState?.text} onChange={(e) => { setIsOrgState(e.detail.value) }} />
              </FormItem> */}
              {/* setIsOrgState(getBool(e.detail.value)) */}

              <FormItem title='犬主姓名' required>
                <View >{person?.nickName}</View>
              </FormItem>
              {
                applyType == 'first' ? <></>
                  :
                  <>
                    <FormItem title='证件号' required>
                      <View >{renewalAndReissue?.cardNo}</View>
                    </FormItem>
                    <FormItem title='有效期' required>
                      {
                        formData?.sex ?
                          <View >

                            {renewalAndReissue?.startDate}~{renewalAndReissue?.expireDate}</View>
                          :
                          <View></View>
                      }

                    </FormItem>
                  </>
              }

              <FormItem title='狗狗名称' required>
                <s-picker name='petId' rangeKey='name' rangeValue='petId' range={dogs} value={formData?.petId} onChange={getMainDogChange} />
              </FormItem>
              <FormItem title='狗狗性别' required>
                <s-picker name='petSex' rangeKey='text' rangeValue='value' range={dogDate.petSex} value={formData?.sex} />
              </FormItem>
              <FormItem title='犬种' required>
                <s-picker name='petType' rangeKey='name' rangeValue='name' range={dogDate.petType} value={formData?.petType} />
              </FormItem>
              <FormItem title='生日' required>
                <Picker name='petBirthday' mode='date' value={dogDate.petBirthday} onChange={(e) => { onDateChange('petBirthday', e.detail.value) }}>
                  {dogDate?.petBirthday ? (
                    <View className='picker' >
                      {dogDate.petBirthday}
                    </View>
                  ) : <View style={{ color: '#858585' }}>请选择...</View>
                  }
                  {/* <View className='picker' style={!formData ? { "color": '#858585' } : {}}>
                    {dogDate.petBirthday}
                  </View> */}
                </Picker>
              </FormItem>
              <FormItem title='毛色' required>
                <Input name='petColor' placeholder='请输入毛色' value={formData?.color} />
              </FormItem>
              <FormItem title='狗狗照片' required>
                <uploader name='img1' onFile={handleFile} value={formData?.image} />
              </FormItem>
              {
                !isOrgState ? <></> : <>
                  <FormItem title='企业名称' required >
                    <Input name='orgName' placeholder='请输入企业名称' value={renewalAndReissue?.orgName} />
                  </FormItem>
                  <FormItem title='营业执照' >
                    <uploader name='orgLicense' onFile={handleFile} />
                  </FormItem>

                </>
              }
              <FormItem title='伤人信息' >
                <uploader name='criminalInfo' onFile={handleFile} />
              </FormItem>
              <FormItem title='处罚信息' >
                <uploader name='penaltyInfo' onFile={handleFile} />
              </FormItem>
              <FormItem title='最近免疫日期' required>
                <Picker name='immunizationDate' mode='date' onChange={(e) => { onDateChange('immunizationDate', e.detail.value) }}>
                  {dogDate?.immunizationDate ? (
                    <View className='picker' >
                      {dogDate.immunizationDate}
                    </View>
                  ) : <View style={{ color: '#858585' }}>请选择...</View>
                  }

                </Picker>
              </FormItem>
              <FormItem title='免疫证号' required>
                <Input name='immunizationCode' placeholder='请输入免疫证号' />
              </FormItem>
              <FormItem title='免疫证明' required>
                <uploader name='immunizationImg' onFile={handleFile} />
              </FormItem>
              <FormItem title='详细地址' required>
                <Input name='address' placeholder='请输入详细地址' />
              </FormItem>
              {
                applyType == 'renewal' ? <></>
                  :
                  <FormItem title='申领方式' extClass=''>
                    <View className='radio-list'>
                      <RadioGroup name='applyMethod'>
                        {modeList.map((item, i) => {
                          return (
                            <Label className='radio-list__label' for={i} key={i}>
                              <Radio color='#FCD905' className='radio-list__radio' value={item.value} >{item.text}</Radio>
                            </Label>
                          )
                        })}
                      </RadioGroup>
                    </View>
                  </FormItem>
              }


            </mp-cells>
          </mp-form>
          {/* <Button disabled={dogStatus} title='确定' /> */}
          <Button title='确定' />
        </Form>
      </View>
    </>
  )
}




