import { View, Button, Label, Input, Radio, RadioGroup, ScrollView } from '@tarojs/components'
import Taro from '@tarojs/taro';
import { useEffect, useState } from 'react';
import { setPersons } from '@/services/dogAPI';
import { useModel } from '@/store';
import { handleFile } from '@/utils/request';
import Form from '@/components/Form';
import FormItem from '@/components/Form/FormItem'

import './style.less'

const rules = {
  nickName: [{ required: true, message: '请填写姓名' }],
  sex: [{ type: 'number', required: true, message: '请选择性别' }],
  phone: [{ required: true, message: '请填写手机号' }, { len: 11, message: '请输入11位手机号' }],
  idCard: [{ required: true, message: '请填写身份证号码' }, { len: 18, message: '请输入18位身份证号码' }],
  cardImg1: [{ required: true, message: '请上传身份证照片' }],
}

export default (props) => {
  const { setPerson, person } = useModel('userData')
  const [dogStatus1, setDogStatus1] = useState(false)
  const [dogStatus2, setDogStatus2] = useState(false)
  const [checkStatu, setCheckStatu] = useState(false)

  // const [imgUrl, setImgUrl] = useState()
  const [userInfo, setUserInfo] = useState({ cardImg1: null, sex: '请选择性别' })
  useEffect(() => {
    if (person) {
      setUserInfo(person)
    }
  }, [person])

  const userSex = [
    {
      value: 1,
      text: '男',
    },
    {
      value: 2,
      text: '女',
    },

  ]

  const formSubmit = e => {
    console.log(e)
    if (checkStatu == false) {
      Taro.showToast({
        title: '请阅读并同意隐私条款',
        icon: 'none',
        duration: 2000
      })
    } else {
      // setCheckStatu(true)
      setPersons({ ...userInfo, ...e, }).then((value) => {
        console.log('e', value);
        setPerson(value)
        Taro.showToast({
          title: '保存成功',
          icon: 'none',
          duration: 1000
        })
        setTimeout(() => {
          Taro.navigateBack({
            delta: 1
          })
        }, 600);
      })
    }

  }
  const lookXieYi = (e) => {
    setCheckStatu(false)
    if (e == 'Status1') {
      setDogStatus1(true)
    } else {
      setDogStatus2(true)
    }

  }
  const handelChange = (e) => {
    // console.log('eee', e);
    setCheckStatu(true)

    // if (!dogStatus1 && !dogStatus2) {
    //   Taro.showToast({
    //     title: '请阅读并同意条款',
    //     icon: 'error',
    //     duration: 2000
    //   })
    // } else {
    //   setCheckStatu(true)
    // }
  }
  const handleTap = (e) => {
    console.log('eee');
    if (e == '1') {
      setDogStatus1(false)
    } else {
      setDogStatus2(false)
    }

  }


  return (
    <>

      <View class='page' >
        <mp-dialog show={dogStatus1} title='隐私协议' maskClosable={false} buttons={[{ text: '同意' }]} onButtontap={() => { handleTap('1') }} >
          <ScrollView scrollY  >
            <View className='YinSiBox'>
              <View>霍山码上领证应用（以下简称“本应用”）隐私保护政策系本应用保护用户个人隐私的承诺。本政策适用于您与本应用的交互行为、您登记和使用本应用的在线服务，以及您所使用的霍山码上领证服务。故特此说明本应用对用户个人信息所采取的收集、使用和保护政策，请您务必仔细阅读。除本隐私权政策另有规定外，在未征得您事先许可的情况下，本应用不会将这些信息对外披露或向第三方提供。 您在注册或登录时，即视为您已经同意本隐私权政策全部内容。</View>
              <View>1、适用范围</View>
              <View>(a) 在您注册本应用帐号时，您根据本应用要求提供的个人注册信息； (b) 在您使用本应用网络服务时，或访问本应用平台网页时，本应用将自动接收并记录的您的浏览器和计算机上的信息，包括但不限于您的手机号、录音、IP地址、浏览器的类型、使用的语言、访问日期和时间、软硬件特征信息及您需求的网页记录等数据；以优化在您计算机屏幕上显示的页面。通过收集上述信息，我们亦进行客流量统计，从而改进应用的管理和服务。 (c) 您在本应用进行用户注册登记、定制业务或参与公共论坛等活动时，以及接受晒晒钱的服务时，在您的同意及确认下，本应用以及线下服务将通过注册表格、订单等形式要求您提供一些个人资料。这些个人资料可能包括： 个人识别资料：如姓名、性别、身份证号码、电话、通信地址、收货人住址等情况； (d) 本应用通过合法途径从商业伙伴处取得的用户个人数据。 您了解并同意，以下信息不适用本隐私权政策： (a) 您在使用本应用平台提供的搜索服务时输入的关键字信息； (b) 本应用收集到的您在本应用发布的有关信息数据，包括但不限于参与话题活动、成交信息及评价详情； (c) 违反法律规定或违反本应用规则行为及本应用已对您采取的措施。</View>
              <View>2、信息使用</View>
              <View>(a)本应用将对您所提供的资料进行严格的管理及保护，并将使用相应的技术，防止您的个人资料丢失、被盗用或遭窜改。 (b) 本应用不会向任何无关第三方提供、出售、出租、分享或交易您的个人信息，除非事先得到您的许可，或该第三方和本应用（含本应用关联公司）单独或共同为您提供服务，且在该服务结束后，其将被禁止访问包括其以前能够访问的所有这些资料。 (c) 本应用亦不允许任何第三方以任何手段收集、编辑、出售或者无偿传播您的个人信息。任何本应用平台用户如从事上述活动，一经发现，本应用有权立即终止与该用户的服务协议。 (d) 为服务用户的目的，本应用可能通过使用您的个人信息和订单信息，向您提供您感兴趣的信息和必要的通知，包括但不限于向您发出产品和服务通知，或者与本应用合作伙伴共享信息以便他们向您发送有关其产品和服务的信息（后者需要您的事先同意）。 (e) 在您注册手机帐号时，我们依据法律规定需要您提供有效的中国大陆手机号码进行短信验证码验证，如您拒绝提供手机号码将无法注册。</View>
              <View>3、信息披露</View>
              <View>在如下情况下，本应用将依据您的个人意愿或法律的规定全部或部分的披露您的个人信息：</View>
              <View>(a) 经您事先同意，向第三方披露；</View>
              <View>1) 设备信息</View>
              <View>例如：设备型号、设备MAC地址、操作系统版本、唯一设备标识符(IMEI)、电池、信号强度等信息。</View>
              <View>2) 软件信息</View>
              <View>例如，软件的版本号、浏览器类型。为确保操作环境的安全或提供服务所需，我们会收集有关您使用的移动应用和其他软件的信息。</View>
              <View>(b)为提供您所要求的产品和服务，而必须和第三方分享您的个人信息；</View>
              <View>(c) 根据法律的有关规定，或者行政或司法机构的要求，向第三方或者行政、司法机构披露；</View>
              <View>(d) 如您出现违反中国有关法律、法规或者本应用服务协议或相关规则的情况，需要向第三方披露；</View>
              <View>(e) 其它本应用根据法律、法规或者应用政策认为合适的披露。</View>
              <View>4、信息存储和交换</View>
              <View>本应用收集的有关您的信息和资料将保存在本应用及（或）其关联公司的服务器上，将对您所提供的资料进行严格的管理及保护，本应用将使用相应的技术，防止您的个人资料丢失、被盗用或遭窜改示。</View>
              <View>5、信息安全</View>
              <View>本应用帐号均有安全保护功能，请妥善保管您的用户名及密码信息。本应用将通过对用户密码进行加密等安全措施确保您的信息不丢失，不被滥用和变造。尽管有前述安全措施，但同时也请您注意在信息网络上不存在“完善的安全措施”。</View>
              <View>6、用户权利</View>
              <View>您对于自己的个人资料享有以下权利： 随时查询及请求阅览； 随时请求补充或更正； 随时请求删除；</View>
              <View>7、本隐私政策的更改</View>
              <View>(a)如果决定更改隐私政策，我们会在本政策中、本公司应用中以及我们认为适当的位置发布这些更改，以便您了解我们如何收集、使用您的个人信息，哪些人可以访问这些信息，以及在什么情况下我们会透露这些信息。 (b)本公司保留随时修改本政策的权利，因此请经常查看。如对本政策作出重大更改，本公司会通过应用通知的形式告知。</View>
              <View>8、免责</View>
              <View>下列情况时本应用亦毋需承担任何责任： (a)由于您将用户密码告知他人或与他人共享注册帐户，由此导致的任何个人资料泄露。 (b)任何由于计算机2000年问题、黑客政击、计算机病毒侵入或发作、因政府管制而造成的暂时性关闭等影响网络正常经营之不可抗力而造成的个人资料泄露、丢失、被盗用或被窜改等。 请您妥善保护自己的个人信息，仅在必要的情形下向他人提供。如您发现自己的个人信息泄密，尤其是本应用用户名及密码发生泄露，请您立即联络本应用客服，以便本应用采取相应措施。</View>

            </View>
          </ScrollView>
        </mp-dialog>
        <mp-dialog show={dogStatus2} title='用户隐私' maskClosable={false} buttons={[{ text: '同意' }]} onButtontap={() => { handleTap('2') }} >
          <ScrollView scrollY  >
            <View className='YinSiBox'>
              <View>霍山码上领证用户使用协议</View>
              <View>欢迎您使用霍山码上领证服务（下称：本服务）</View>
              <View>请您仔细阅下方条款，若您对本协议的任何条款存有异议，您可以第一时间选择不进入霍山码上领证应用。</View>
              <View>在登录界面登录时，《用户协议》”处打勾“✓”并按照流程成功进入霍山码上领证，即表示您已充分阅读、理解并接受本协议项下的全部内容，并与霍山码上领证达成本协议。</View>
              <View>使用规则</View>
              <View>1. 用户登录成功后，霍山码上领证将给予每个用户一个个人中心，用户应当对帐号所进行的所有活动和事件负法律责任。</View>
              <View>2. 用户须对在霍山码上领证的信息的真实性、合法性、有效性承担全部责任，用户不得冒充他人；不得利用他人的名义发布任何信息；不得恶意使用帐号导致其他用户误认；否则霍山码上领证有权立即停止提供服务，收回其帐号并由用户独自承担由此而产生的一切法律责任。</View>
              <View>3. 用户不应将其帐号转让或出借予他人使用。如用户发现其帐号遭他人非法使用，应立即通知霍山码上领证。因黑客行为或用户的保管疏忽导致帐号遭他人非法使用，霍山码上领证不承担任何责任。</View>
              <View>4. 用户理解，霍山码上领证需要定期或不定期地对提供网络服务的平台或相关的设备进行检修或者维护，如因此类情况而造成网络服务在合理时间内的中断，霍山码上领证无需为此承担任何责任，但应尽可能事先进行通告。</View>

              <View>用户行为</View>
              <View>1. 用户应遵守中华人民共和国相关法律法规，并同意对以任何方式使用用户账号而使用本服务的任何行为及其结果承担全部责任。如用户的行为违反国家法律，用户将依法承担全部法律责任；如涉嫌构成犯罪，司法机关将追究用户的刑事责任，霍山码上领证将严格按照法律规定的义务及司法机关的要求进行配合。同时，如果霍山码上领证有理由认为用户的任何行为，包括但不限于用户的任何言论或其它行为违反或可能违反国家法律法规的任何规定，霍山码上领证可在任何时候不经任何事先通知终止向用户提供服务。</View>
              <View>2. 用户应遵守所有与霍山码上领证服务有关的网络协议、规定和程序。</View>
              <View>3. 用户同意将不会利用霍山码上领证制作、上载、复制、发布、传播或者转载如下内容：</View>
              <View>反对宪法所确定的基本原则的；</View>
              <View>危害国家安全，泄露国家秘密，颠覆国家政权，破坏国家统一的；</View>
              <View>损害国家荣誉和利益的；</View>
              <View>煽动民族仇恨、民族歧视，破坏民族团结的；</View>
              <View>侮辱、滥用英烈形象，否定英烈事迹，美化粉饰侵略战争行为的；</View>
              <View>破坏国家宗教政策，宣扬邪教和封建迷信的；</View>
              <View>散布谣言，扰乱社会秩序，破坏社会稳定的；</View>
              <View>散布淫秽、赌博、暴力、凶杀、自残、恐怖或者教唆犯罪的；</View>
              <View>侮辱或者诽谤他人，侵害他人合法权益（如名誉权、肖像权等）的；</View>
              <View>侵害他人知识产权、商业秘密等合法权利的；</View>
              <View>虚构事实、隐瞒真相以误导、欺骗他人的；</View>
              <View>发布、传送、传播广告信息及垃圾信息的；</View>
              <View>其他法律法规禁止的行为。</View>
              <View>4. 不得侵犯其他任何第三方的专利权、著作权、商标权、名誉权或其他任何合法权益。</View>
              <View>5. 如用户在使用网络服务时违反任何上述规定，霍山码上领证或其授权的人有权要求用户改正或直接采取一切必要的措施（包括但不限于更改或删除用户张贴的内容等、暂停或终止用户使用网络服务的权利）以减轻用户不当行为造成的影响。</View>

            </View>
          </ScrollView>
        </mp-dialog>
        <Form rules={rules} onSubmit={formSubmit}>
          <FormItem title='姓名' required>
            <Input name='nickName' placeholder='请输入姓名' value={userInfo?.nickName}
              onInput={(e) => { setUserInfo({ ...userInfo, nickName: e.detail.value }) }}
            />
          </FormItem>
          <FormItem title='性别' required>
            <s-picker name='sex' rangeKey='text' rangeValue='value' range={userSex} value={userInfo?.sex}
              onInput={(e) => { setUserInfo({ ...userInfo, sex: e.detail.value }) }}
            />
          </FormItem>
          <FormItem title='手机号' required>
            <Input name='phone' type='number' placeholder='请输入手机号' maxlength={11} value={userInfo?.phone} 
              onInput={(e) => { setUserInfo({ ...userInfo, phone: e.detail.value }) }}
            />
          </FormItem>
          <FormItem title='身份证号' required>
            <Input name='idCard' placeholder='请输入身份证号' type='idcard' maxlength={18} value={userInfo?.idCard} 
              onInput={(e) => { setUserInfo({ ...userInfo, idCard: e.detail.value }) }}
            />
          </FormItem>
          <FormItem title='身份证图片' required>
            <uploader name='cardImg1' value={userInfo?.cardImg1} onFile={handleFile} />
          </FormItem>

          <View style={{ margin: '2em 0 2em 0' }}>
            <RadioGroup onClick={handelChange}>
              <Label className='radio-list__label' for='radio'>
                <Radio color='#FCD905' id='radio' className='radio-list__radio' />
                <View className='radioBox'>
                  确定即代表您已阅读并接受
                  <text onClick={() => { lookXieYi('Status1') }} style={{ color: '#576b95' }}>《隐私协议》</text>和<text onClick={() => { lookXieYi('Status2') }} style={{ color: '#576b95' }}>《用户隐私》</text>
                  所有条款
                </View>
              </Label>
            </RadioGroup>
            <Button style={{ backgroundColor: '#fbd804', borderRadius: '40px', color: '#000', border: '0px' }} class='weui-btn' type='primary' loading={false} formType='submit'>确定</Button>

          </View>
        </Form>

      </View>
    </>
  )
}
