

/**
 * object 转 queryStr
 * @param {*} params 
 * @returns 
 */
export function getQueryString (params) {
  if (!params) return;

  const keys = Object.keys(params)
  if (!keys || !keys.length) return;

  const arr = keys.map((key) => {
    const val = params[key]
    if (val === null || val === undefined) return false;

    return `${key}=${encodeURIComponent(val)}`
  })

  return arr.filter(Boolean).join('&')
}

/**
 * queryStr 转 object
 * @param {*} queryStr 
 * @returns 
 */
export function getQueryParam (queryStr) {
  if (!queryStr) return undefined;

  const parts = queryStr.split('&')

  return parts.reduce((acc, part) => {
    let [key, value] = part.split("=")
    key = decodeURIComponent(key)
    if (value !== undefined && value !== null) {
      value = decodeURIComponent(value)
    }

    return {
      ...acc,
      [key]: value
    }
  }, {})
}

